# -*- coding: utf-8 -*-
# vim: autoindent shiftwidth=4 expandtab textwidth=80 tabstop=4 softtabstop=4

###############################################################################
# ScribeEngine - Open Source Blog Software                                    #
# --------------------------------------------------------------------------- #
# Copyright (c) 2010-2017 Raoul Snyman                                        #
# --------------------------------------------------------------------------- #
# This program is free software; you can redistribute it and/or modify it     #
# under the terms of the GNU General Public License as published by the Free  #
# Software Foundation; version 2 of the License.                              #
#                                                                             #
# This program is distributed in the hope that it will be useful, but WITHOUT #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       #
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for    #
# more details.                                                               #
#                                                                             #
# You should have received a copy of the GNU General Public License along     #
# with this program; if not, write to the Free Software Foundation, Inc., 59  #
# Temple Place, Suite 330, Boston, MA 02111-1307 USA                          #
###############################################################################
"""
The :mod:`~scribeengine.admin` module sets up the admin interface
"""
from flask import Blueprint

# from scribeengine.db import session
from scribeengine.helpers import render_admin
from scribeengine.models import Post

admin = Blueprint('admin', __name__, url_prefix='/admin')


@admin.route('', methods=['GET'])
def index():
    return render_admin('index.html')


@admin.route('/posts', methods=['GET'])
def posts():
    posts = Post.query.limit(10).all()
    return render_admin('posts.html', posts=posts)
